-- Execute this shell script connect to system userid ---------
-- This step creates an unikix userid in the oracle system ---

GRANT connect,resource to unikix identified by unikix;

-- This step connects to the new unikix userid created

Connect unikix/unikix

-- This step creates the table ACTREC in the unikix userid
CREATE TABLE ACTREC
 ( DOACCT    char(5)   default ' ',
   DOSNAME   char(18)   default ' ',
   DOSFNAME  char(12)   default ' ',
   DOMI      char(1)   default ' ',
   DOTTL     char(4)   default ' ',
   DOTEL     char(10)   default ' ',
   DOADDR1   char(24)   default ' ',
   DOADDR2   char(24)   default ' ',
   DOADDR3   char(24)   default ' ',
   DOAUTH1   char(32)   default ' ',
   DOAUTH2   char(32)   default ' ',
   DOAUTH3   char(32)   default ' ',
   DOAUTH4   char(32)   default ' ',
   DOCARDS   char(1)   default ' ',
   DOIMO     char(2)   default ' ',
   DOIDAY    char(2)   default ' ',
   DOIYR     char(2)   default ' ',
   DORSN     char(1)   default ' ',
   DOCCODE   char(1)   default ' ',
   DOAPPR    char(3)   default ' ',
   DOSCODE1  char(1)   default ' ',
   DOSCODE2  char(1)   default ' ',
   DOSODE3   char(1)   default ' ',
   DOSTAT    char(2)   default ' ',
   DOLIMIT   char(8)    default ' ' ) ;

-- This step creates the table ACCTOCRS in the unikix userid
CREATE TABLE ACCTOCRS
 ( ACCTDO      char(5)   default ' ',
   BAL         char(8)   default ' ',
   BMO         number(2)   default 0,
   BDAY        number(2)   default 0 ,
   BYR         number(2)   default 0,
   BAMT        char(8)   default ' ',
   PMO         number(2)   default 0,
   PDAY        number(2)   default 0,
   PYR         number(2)   default 0,
   PAMY        char(8)    default ' ' );

exit
